Models
Get model asset credentials
Retrieves temporary credentials for accessing the storage backing the specified model version.
Sorgu parametreleri
api-version
string
gerekli
The API version to use for this operation.
Üst bilgi parametreleri
Foundry-Features
enum
gerekli
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Yol parametreleri
name
string
gerekli
Name of the model.
version
string
gerekli
Version of the model.
İstek Gövdesi
The credential request request body.
blobUri
string
gerekli
Blob URI of the model asset to fetch credentials for.
Yanıtlar
The request has succeeded.
Gövde
blobReference
BlobReference
gerekli
Blob reference details.
blobUri
string
gerekli
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
gerekli
ARM ID of the storage account to use.
credential
SasCredential
gerekli
SAS Credential definition
sasUri
string
gerekli
SAS uri
type
enum
gerekli
Type of credential
İstek
POST /models/{name}/versions/{version}/credentials HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json